registerForEvent("onInit", function()

print("Batch Upgrade Crafting Materials Loaded")

--HOTKEY CUSTOMISATION:
HK_1 = 0x70	-- F1 = Common to Uncommon
HK_2 = 0x71	-- F2 = Uncommon to Rare
HK_3 = 0x72	-- F3 = Rare to Epic
HK_4 = 0x73	-- F4 = Epic to Legendary

--full list available at: https://docs.microsoft.com/en-us/windows/win32/inputdev/virtual-key-codes


--CONVERSION RATE CUSTOMISATION:
COST = 100	--Number of lower quality materials to remove
RETURN = 10	--Number of higher quality materials to add

end)



registerForEvent("onUpdate", function(deltaTime)

	-- COMMON TO UNCOMMON
    if (ImGui.IsKeyPressed(HK_1, false)) then
	
		ts = Game.GetTransactionSystem()
		player = Game.GetPlayer()
		itemid = GetSingleton("gameItemID"):FromTDBID(TweakDBID.new("Items.CommonMaterial1"))
		currentCount = ts:GetItemQuantity(player, itemid)
	
		if (currentCount >= COST) then
			ts:RemoveItem(player, itemid, COST)
			Game.AddToInventory("Items.UncommonMaterial1",RETURN)
			Game.AddExp("Crafting", 120) -- This is how much XP you get each time you do a conversion.
			print("Upgraded 100 common materials to 10 uncommon materials")
		else
			print("Not enough crafting materials")
		end
		
    end
	
	-- UNCOMMON TO RARE
	if (ImGui.IsKeyPressed(HK_2, false)) then
	
		ts = Game.GetTransactionSystem()
		player = Game.GetPlayer()
		itemid = GetSingleton("gameItemID"):FromTDBID(TweakDBID.new("Items.UncommonMaterial1"))
		currentCount = ts:GetItemQuantity(player, itemid)
	
		if (currentCount >= COST) then
			ts:RemoveItem(player, itemid, COST)
			Game.AddToInventory("Items.RareMaterial1",RETURN)
			Game.AddExp("Crafting", 240) -- This is how much XP you get each time you do a conversion.
			print("Upgraded 100 uncommon materials to 10 rare materials")
		else
			print("Not enough crafting materials")
		end
		
    end

	-- RARE TO EPIC
    if (ImGui.IsKeyPressed(HK_3, false)) then
	
		ts = Game.GetTransactionSystem()
		player = Game.GetPlayer()
		itemid = GetSingleton("gameItemID"):FromTDBID(TweakDBID.new("Items.RareMaterial1"))
		currentCount = ts:GetItemQuantity(player, itemid)
	
		if (currentCount >= COST) then
			ts:RemoveItem(player, itemid, COST)
			Game.AddToInventory("Items.EpicMaterial1",RETURN)
			Game.AddExp("Crafting", 360) -- This is how much XP you get each time you do a conversion.
			print("Upgraded 100 rare materials to 10 epic materials")
		else
			print("Not enough crafting materials")
		end
		
    end
	
	-- EPIC TO LEGENDARY
    if (ImGui.IsKeyPressed(HK_4, false)) then
	
		ts = Game.GetTransactionSystem()
		player = Game.GetPlayer()
		itemid = GetSingleton("gameItemID"):FromTDBID(TweakDBID.new("Items.EpicMaterial1"))
		currentCount = ts:GetItemQuantity(player, itemid)
	
		if (currentCount >= COST) then
			ts:RemoveItem(player, itemid, COST)
			Game.AddToInventory("Items.LegendaryMaterial1",RETURN)
			Game.AddExp("Crafting", 600) -- This is how much XP you get each time you do a conversion.
			print("Upgraded 100 epic materials to 10 legendary materials")
		else
			print("Not enough crafting materials")
		end
		
    end
	
end)
